Page MenuHomePhabricator

Create separate "Accept" and "Decline" transactions for Calendar
ClosedPublic

Authored by epriestley on Jul 11 2016, 10:16 PM.
Tags
None
Referenced Files
Unknown Object (File)
Fri, Aug 5, 11:32 AM
Unknown Object (File)
Sat, Jul 30, 4:19 AM
Unknown Object (File)
Fri, Jul 15, 1:42 PM
Unknown Object (File)
Fri, Jul 15, 1:42 PM
Unknown Object (File)
Fri, Jul 15, 1:42 PM
Unknown Object (File)
Fri, Jul 15, 1:42 PM
Unknown Object (File)
Jul 4 2022, 3:31 AM
Unknown Object (File)
Jul 2 2022, 2:01 PM
Subscribers
None

Details

Summary

Ref T9275. Currently, there's a single "invite" transaction type for managing Calendar invites, and it takes a map of invitees to status.

This isn't great for EditEngine or API access, since it lets you set anyone else to any status and we can't reuse as much code as we can with a simpler API.

Make "Accept" and "Decline" separate actions which affect the actor's invite, so "invite" can be a simpler transaction which just invites or uninvites people.

Test Plan
  • Joined/accepted/declined an event invitation.
  • Edited event invitees.

Diff Detail

Repository
rP Phabricator
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

epriestley retitled this revision from to Create separate "Accept" and "Decline" transcations for Calendar.
epriestley updated this object.
epriestley edited the test plan for this revision. (Show Details)
epriestley added a reviewer: chad.
epriestley retitled this revision from Create separate "Accept" and "Decline" transcations for Calendar to Create separate "Accept" and "Decline" transactions for Calendar.Jul 11 2016, 10:28 PM
chad edited edge metadata.
This revision is now accepted and ready to land.Jul 11 2016, 10:32 PM
This revision was automatically updated to reflect the committed changes.